CareerProfile careerProfileFromJson(Map<String, dynamic> raw) =>
    CareerProfile.fromJson(raw);

Map<String, dynamic> careerProfileToJson(CareerProfile data) => data.toJson();

typedef Baptiste = Ana;
typedef Bastion = Ashe;
typedef Cassidy = Ashe;
typedef Doomfist = Ashe;
typedef Echo = Ashe;
typedef JunkerQueen = Ashe;
typedef Mei = Junkrat;
typedef Ramattra = Junkrat;
typedef Moira = Mercy;
typedef Soujourn = Ashe;
typedef RoadHog = Illari;
typedef Soldier76 = Mercy;
typedef Sombra = Junkrat;
typedef Torbjorn = Ashe;
typedef Winston = Ashe;
typedef Zenyatta = Mercy;

class CareerProfile {
  final AllHeroes? allHeroes;
  final Ana? ana;
  final Ashe? ashe;
  final Baptiste? baptiste;
  final Bastion? bastion;
  final Brigitte? brigitte;
  final Cassidy? cassidy;
  final Dva? dva;
  final Doomfist? doomfist;
  final Echo? echo;
  final Genji? genji;
  final Hanzo? hanzo;
  final Illari? illari;
  final JunkerQueen? junkerQueen;
  final Junkrat? junkrat;
  final Kiriko? kiriko;
  final Lifeweaver? lifeweaver;
  final Lucio? lucio;
  final Mauga? mauga;
  final Mei? mei;
  final Mercy? mercy;
  final Moira? moira;
  final Orisa? orisa;
  final Pharah? pharah;
  final Ramattra? ramattra;
  final Reaper? reaper;
  final Reinhardt? reinhardt;
  final RoadHog? roadhog;
  final Sigma? sigma;
  final Soujourn? sojourn;
  final Soldier76? soldier76;
  final Sombra? sombra;
  final Torbjorn? torbjorn;
  final Tracer? tracer;
  final Widowmaker? widowmaker;
  final Winston? winston;
  final WreckingBall? wreckingBall;
  final Zenyatta? zenyatta;

  CareerProfile({
    this.allHeroes,
    this.ana,
    this.ashe,
    this.baptiste,
    this.bastion,
    this.brigitte,
    this.cassidy,
    this.dva,
    this.doomfist,
    this.echo,
    this.genji,
    this.hanzo,
    this.illari,
    this.junkerQueen,
    this.junkrat,
    this.kiriko,
    this.lifeweaver,
    this.lucio,
    this.mauga,
    this.mei,
    this.mercy,
    this.moira,
    this.orisa,
    this.pharah,
    this.ramattra,
    this.reaper,
    this.reinhardt,
    this.roadhog,
    this.sigma,
    this.sojourn,
    this.soldier76,
    this.sombra,
    this.torbjorn,
    this.tracer,
    this.widowmaker,
    this.winston,
    this.wreckingBall,
    this.zenyatta,
  });

  @override
  factory CareerProfile.fromJson(Map<String, dynamic> json) => CareerProfile(
        allHeroes: json["all-heroes"] == null ? null : AllHeroes.fromJson(json["all-heroes"]),
        ana: json["ana"] == null ? null : Ana.fromJson(json["ana"]),
        ashe: json["ashe"] == null ? null : Ashe.fromJson(json["ashe"]),
        baptiste: json["baptiste"] == null ? null : Ana.fromJson(json["baptiste"]),
        bastion: json["bastion"] == null ? null : Ashe.fromJson(json["bastion"]),
        brigitte: json["brigitte"] == null ? null : Brigitte.fromJson(json["brigitte"]),
        cassidy: json["cassidy"] == null ? null : Ashe.fromJson(json["cassidy"]),
        dva: json["dva"] == null ? null : Dva.fromJson(json["dva"]),
        doomfist: json["doomfist"] == null ? null : Ashe.fromJson(json["doomfist"]),
        echo: json["echo"] == null ? null : Ashe.fromJson(json["echo"]),
        genji: json["genji"] == null ? null : Genji.fromJson(json["genji"]),
        hanzo: json["hanzo"] == null ? null : Hanzo.fromJson(json["hanzo"]),
        illari: json["illari"] == null ? null : Illari.fromJson(json["illari"]),
        junkerQueen: json["junker-queen"] == null ? null : Ashe.fromJson(json["junker-queen"]),
        junkrat: json["junkrat"] == null ? null : Junkrat.fromJson(json["junkrat"]),
        kiriko: json["kiriko"] == null ? null : Kiriko.fromJson(json["kiriko"]),
        lifeweaver: json["lifeweaver"] == null ? null : Lifeweaver.fromJson(json["lifeweaver"]),
        lucio: json["lucio"] == null ? null : Lucio.fromJson(json["lucio"]),
        mauga: json["mauga"] == null ? null : Mauga.fromJson(json["mauga"]),
        mei: json["mei"] == null ? null : Junkrat.fromJson(json["mei"]),
        mercy: json["mercy"] == null ? null : Mercy.fromJson(json["mercy"]),
        moira: json["moira"] == null ? null : Mercy.fromJson(json["moira"]),
        orisa: json["orisa"] == null ? null : Orisa.fromJson(json["orisa"]),
        pharah: json["pharah"] == null ? null : Pharah.fromJson(json["pharah"]),
        ramattra: json["ramattra"] == null ? null : Junkrat.fromJson(json["ramattra"]),
        reaper: json["reaper"] == null ? null : Reaper.fromJson(json["reaper"]),
        reinhardt: json["reinhardt"] == null ? null : Reinhardt.fromJson(json["reinhardt"]),
        roadhog: json["roadhog"] == null ? null : Illari.fromJson(json["roadhog"]),
        sigma: json["sigma"] == null ? null : Sigma.fromJson(json["sigma"]),
        sojourn: json["sojourn"] == null ? null : Ashe.fromJson(json["sojourn"]),
        soldier76: json["soldier-76"] == null ? null : Mercy.fromJson(json["soldier-76"]),
        sombra: json["sombra"] == null ? null : Junkrat.fromJson(json["sombra"]),
        torbjorn: json["torbjorn"] == null ? null : Ashe.fromJson(json["torbjorn"]),
        tracer: json["tracer"] == null ? null : Tracer.fromJson(json["tracer"]),
        widowmaker: json["widowmaker"] == null ? null : Widowmaker.fromJson(json["widowmaker"]),
        winston: json["winston"] == null ? null : Ashe.fromJson(json["winston"]),
        wreckingBall: json["wrecking-ball"] == null ? null : WreckingBall.fromJson(json["wrecking-ball"]),
        zenyatta: json["zenyatta"] == null ? null : Mercy.fromJson(json["zenyatta"]),
      );

  Map<String, dynamic> toJson() => {
        "all-heroes": allHeroes?.toJson(),
        "ana": ana?.toJson(),
        "ashe": ashe?.toJson(),
        "baptiste": baptiste?.toJson(),
        "bastion": bastion?.toJson(),
        "brigitte": brigitte?.toJson(),
        "cassidy": cassidy?.toJson(),
        "dva": dva?.toJson(),
        "doomfist": doomfist?.toJson(),
        "echo": echo?.toJson(),
        "genji": genji?.toJson(),
        "hanzo": hanzo?.toJson(),
        "illari": illari?.toJson(),
        "junker-queen": junkerQueen?.toJson(),
        "junkrat": junkrat?.toJson(),
        "kiriko": kiriko?.toJson(),
        "lifeweaver": lifeweaver?.toJson(),
        "lucio": lucio?.toJson(),
        "mauga": mauga?.toJson(),
        "mei": mei?.toJson(),
        "mercy": mercy?.toJson(),
        "moira": moira?.toJson(),
        "orisa": orisa?.toJson(),
        "pharah": pharah?.toJson(),
        "ramattra": ramattra?.toJson(),
        "reaper": reaper?.toJson(),
        "reinhardt": reinhardt?.toJson(),
        "roadhog": roadhog?.toJson(),
        "sigma": sigma?.toJson(),
        "sojourn": sojourn?.toJson(),
        "soldier-76": soldier76?.toJson(),
        "sombra": sombra?.toJson(),
        "torbjorn": torbjorn?.toJson(),
        "tracer": tracer?.toJson(),
        "widowmaker": widowmaker?.toJson(),
        "winston": winston?.toJson(),
        "wrecking-ball": wreckingBall?.toJson(),
        "zenyatta": zenyatta?.toJson(),
      };
}

class AllHeroes {
  final AllHeroesAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final MatchAwards? matchAwards;

  AllHeroes({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    this.matchAwards,
  });

  factory AllHeroes.fromJson(Map<String, dynamic> json) => AllHeroes(
        assists: AllHeroesAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        matchAwards: json["match_awards"] == null
            ? null
            : json['match_awards'] == null ? null : MatchAwards.fromJson(json["match_awards"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "match_awards": matchAwards?.toJson(),
      };
}

class AllHeroesAssists {
  final int reconAssists;
  final int healingDone;
  final int defensiveAssists;
  final int offensiveAssists;
  final int assists;

  AllHeroesAssists({
    required this.reconAssists,
    required this.healingDone,
    required this.defensiveAssists,
    required this.offensiveAssists,
    required this.assists,
  });

  factory AllHeroesAssists.fromJson(Map<String, dynamic> json) =>
      AllHeroesAssists(
        reconAssists: json["recon_assists"],
        healingDone: json["healing_done"],
        defensiveAssists: json["defensive_assists"],
        offensiveAssists: json["offensive_assists"],
        assists: json["assists"],
      );

  Map<String, dynamic> toJson() => {
        "recon_assists": reconAssists,
        "healing_done": healingDone,
        "defensive_assists": defensiveAssists,
        "offensive_assists": offensiveAssists,
        "assists": assists,
      };
}

class AllHeroesGame {
  final int timePlayed;
  final int gamesPlayed;
  final int gamesWon;
  final int gamesLost;
  final int heroWins;
  final int? winPercentage;
  final int? knockbackKillsMostInGame;

  AllHeroesGame({
    required this.timePlayed,
    required this.gamesPlayed,
    required this.gamesWon,
    required this.gamesLost,
    required this.heroWins,
    this.winPercentage,
    this.knockbackKillsMostInGame,
  });

  factory AllHeroesGame.fromJson(Map<String, dynamic> json) => AllHeroesGame(
        timePlayed: json["time_played"],
        gamesPlayed: json["games_played"],
        gamesWon: json["games_won"],
        gamesLost: json["games_lost"],
        heroWins: json["hero_wins"],
        winPercentage: json["win_percentage"],
        knockbackKillsMostInGame: json["knockback_kills_most_in_game"],
      );

  Map<String, dynamic> toJson() => {
        "time_played": timePlayed,
        "games_played": gamesPlayed,
        "games_won": gamesWon,
        "games_lost": gamesLost,
        "hero_wins": heroWins,
        "win_percentage": winPercentage,
        "knockback_kills_most_in_game": knockbackKillsMostInGame,
      };
}

class MatchAwards {
  final int cards;

  MatchAwards({
    required this.cards,
  });

  factory MatchAwards.fromJson(Map<String, dynamic> json) => MatchAwards(
        cards: json["cards"],
      );

  Map<String, dynamic> toJson() => {
        "cards": cards,
      };
}

class Ana {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;
  final MatchAwards? matchAwards;

  Ana({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
    this.matchAwards,
  });

  factory Ana.fromJson(Map<String, dynamic> json) => Ana(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        matchAwards: json['match_awards'] == null ? null : MatchAwards.fromJson(json["match_awards"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
        "match_awards": matchAwards?.toJson(),
      };
}

class Assists {
  final int? offensiveAssists;
  final int? offensiveAssistsMostInGame;
  final int defensiveAssists;
  final int defensiveAssistsMostInGame;
  final int healingDone;
  final int healingDoneMostInGame;
  final int assists;
  final double defensiveAssistsAvgPer10Min;
  final double? offensiveAssistsAvgPer10Min;

  Assists({
    this.offensiveAssists,
    this.offensiveAssistsMostInGame,
    required this.defensiveAssists,
    required this.defensiveAssistsMostInGame,
    required this.healingDone,
    required this.healingDoneMostInGame,
    required this.assists,
    required this.defensiveAssistsAvgPer10Min,
    this.offensiveAssistsAvgPer10Min,
  });

  factory Assists.fromJson(Map<String, dynamic> json) => Assists(
        offensiveAssists: json["offensive_assists"],
        offensiveAssistsMostInGame: json["offensive_assists_most_in_game"],
        defensiveAssists: json["defensive_assists"],
        defensiveAssistsMostInGame: json["defensive_assists_most_in_game"],
        healingDone: json["healing_done"],
        healingDoneMostInGame: json["healing_done_most_in_game"],
        assists: json["assists"],
        defensiveAssistsAvgPer10Min:
            json["defensive_assists_avg_per_10_min"]?.toDouble(),
        offensiveAssistsAvgPer10Min:
            json["offensive_assists_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "offensive_assists": offensiveAssists,
        "offensive_assists_most_in_game": offensiveAssistsMostInGame,
        "defensive_assists": defensiveAssists,
        "defensive_assists_most_in_game": defensiveAssistsMostInGame,
        "healing_done": healingDone,
        "healing_done_most_in_game": healingDoneMostInGame,
        "assists": assists,
        "defensive_assists_avg_per_10_min": defensiveAssistsAvgPer10Min,
        "offensive_assists_avg_per_10_min": offensiveAssistsAvgPer10Min,
      };
}

class Ashe {
  final AsheAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;

  Ashe({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Ashe.fromJson(Map<String, dynamic> json) => Ashe(
        assists: AsheAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class AsheAssists {
  final int assists;

  AsheAssists({
    required this.assists,
  });

  factory AsheAssists.fromJson(Map<String, dynamic> json) => AsheAssists(
        assists: json["assists"],
      );

  Map<String, dynamic> toJson() => {
        "assists": assists,
      };
}

class Brigitte {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final BrigitteHeroSpecific heroSpecific;

  Brigitte({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Brigitte.fromJson(Map<String, dynamic> json) => Brigitte(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: BrigitteHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class BrigitteHeroSpecific {
  final int selfHealing;
  final int overhealthProvided;
  final int overhealthProvidedMostInGame;
  final int whipshotsAttempted;
  final int playersKnockedBack;
  final int selfHealingAvgPer10Min;
  final int inspireUptimePercentage;
  final int whipshotAccuracy;
  final int overhealthProvidedAvgPer10Min;
  final double playersKnockedBackAvgPer10MinNyi;

  BrigitteHeroSpecific({
    required this.selfHealing,
    required this.overhealthProvided,
    required this.overhealthProvidedMostInGame,
    required this.whipshotsAttempted,
    required this.playersKnockedBack,
    required this.selfHealingAvgPer10Min,
    required this.inspireUptimePercentage,
    required this.whipshotAccuracy,
    required this.overhealthProvidedAvgPer10Min,
    required this.playersKnockedBackAvgPer10MinNyi,
  });

  factory BrigitteHeroSpecific.fromJson(Map<String, dynamic> json) =>
      BrigitteHeroSpecific(
        selfHealing: json["self_healing"],
        overhealthProvided: json["overhealth_provided"],
        overhealthProvidedMostInGame: json["overhealth_provided_most_in_game"],
        whipshotsAttempted: json["whipshots_attempted"],
        playersKnockedBack: json["players_knocked_back"],
        selfHealingAvgPer10Min: json["self_healing_avg_per_10_min"],
        inspireUptimePercentage: json["inspire_uptime_percentage"],
        whipshotAccuracy: json["whipshot_accuracy"],
        overhealthProvidedAvgPer10Min:
            json["overhealth_provided_avg_per_10_min"],
        playersKnockedBackAvgPer10MinNyi:
            json["players_knocked_back_avg_per_10_min_nyi"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "self_healing": selfHealing,
        "overhealth_provided": overhealthProvided,
        "overhealth_provided_most_in_game": overhealthProvidedMostInGame,
        "whipshots_attempted": whipshotsAttempted,
        "players_knocked_back": playersKnockedBack,
        "self_healing_avg_per_10_min": selfHealingAvgPer10Min,
        "inspire_uptime_percentage": inspireUptimePercentage,
        "whipshot_accuracy": whipshotAccuracy,
        "overhealth_provided_avg_per_10_min": overhealthProvidedAvgPer10Min,
        "players_knocked_back_avg_per_10_min_nyi":
            playersKnockedBackAvgPer10MinNyi,
      };
}

class Dva {
  final AsheAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final DvaGame game;
  final DvaHeroSpecific heroSpecific;

  Dva({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Dva.fromJson(Map<String, dynamic> json) => Dva(
        assists: AsheAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: DvaGame.fromJson(json["game"]),
        heroSpecific: DvaHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class DvaGame {
  final int timePlayed;
  final int gamesPlayed;
  final int gamesLost;

  DvaGame({
    required this.timePlayed,
    required this.gamesPlayed,
    required this.gamesLost,
  });

  factory DvaGame.fromJson(Map<String, dynamic> json) => DvaGame(
        timePlayed: json["time_played"],
        gamesPlayed: json["games_played"],
        gamesLost: json["games_lost"],
      );

  Map<String, dynamic> toJson() => {
        "time_played": timePlayed,
        "games_played": gamesPlayed,
        "games_lost": gamesLost,
      };
}

class DvaHeroSpecific {
  final int microMissileKills;
  final int? callMechKills;
  final int microMissileKillsMostInGame;
  final int? callMechKillsMostInGame;
  final double microMissileKillsAvgPer10Min;

  DvaHeroSpecific({
    required this.microMissileKills,
    required this.callMechKills,
    required this.microMissileKillsMostInGame,
    required this.callMechKillsMostInGame,
    required this.microMissileKillsAvgPer10Min,
  });

  factory DvaHeroSpecific.fromJson(Map<String, dynamic> json) =>
      DvaHeroSpecific(
        microMissileKills: json["micro_missile_kills"],
        callMechKills: json["call_mech_kills"],
        microMissileKillsMostInGame: json["micro_missile_kills_most_in_game"],
        callMechKillsMostInGame: json["call_mech_kills_most_in_game"],
        microMissileKillsAvgPer10Min:
            json["micro_missile_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "micro_missile_kills": microMissileKills,
        "call_mech_kills": callMechKills,
        "micro_missile_kills_most_in_game": microMissileKillsMostInGame,
        "call_mech_kills_most_in_game": callMechKillsMostInGame,
        "micro_missile_kills_avg_per_10_min": microMissileKillsAvgPer10Min,
      };
}

class Genji {
  final AsheAssists? assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final GenjiHeroSpecific heroSpecific;

  Genji({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Genji.fromJson(Map<String, dynamic> json) => Genji(
        assists: json['assists'] == null ? null : AsheAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: GenjiHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists?.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class GenjiHeroSpecific {
  final int dragonbladeKills;
  final int dragonbladeKillsMostInGame;
  final int damageReflected;
  final int damageReflectedMostInGame;
  final int swiftStrikeResets;
  final int swiftStrikeResetsMostInGame;
  final double dragonbladeKillsAvgPer10Min;
  final int damageReflectedAvgPer10Min;

  GenjiHeroSpecific({
    required this.dragonbladeKills,
    required this.dragonbladeKillsMostInGame,
    required this.damageReflected,
    required this.damageReflectedMostInGame,
    required this.swiftStrikeResets,
    required this.swiftStrikeResetsMostInGame,
    required this.dragonbladeKillsAvgPer10Min,
    required this.damageReflectedAvgPer10Min,
  });

  factory GenjiHeroSpecific.fromJson(Map<String, dynamic> json) =>
      GenjiHeroSpecific(
        dragonbladeKills: json["dragonblade_kills"],
        dragonbladeKillsMostInGame: json["dragonblade_kills_most_in_game"],
        damageReflected: json["damage_reflected"],
        damageReflectedMostInGame: json["damage_reflected_most_in_game"],
        swiftStrikeResets: json["swift_strike_resets"],
        swiftStrikeResetsMostInGame: json["swift_strike_resets_most_in_game"],
        dragonbladeKillsAvgPer10Min:
            json["dragonblade_kills_avg_per_10_min"]?.toDouble(),
        damageReflectedAvgPer10Min: json["damage_reflected_avg_per_10_min"],
      );

  Map<String, dynamic> toJson() => {
        "dragonblade_kills": dragonbladeKills,
        "dragonblade_kills_most_in_game": dragonbladeKillsMostInGame,
        "damage_reflected": damageReflected,
        "damage_reflected_most_in_game": damageReflectedMostInGame,
        "swift_strike_resets": swiftStrikeResets,
        "swift_strike_resets_most_in_game": swiftStrikeResetsMostInGame,
        "dragonblade_kills_avg_per_10_min": dragonbladeKillsAvgPer10Min,
        "damage_reflected_avg_per_10_min": damageReflectedAvgPer10Min,
      };
}

class Hanzo {
  final HanzoAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final HanzoHeroSpecific heroSpecific;

  Hanzo({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Hanzo.fromJson(Map<String, dynamic> json) => Hanzo(
        assists: HanzoAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: HanzoHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class HanzoAssists {
  final int reconAssists;
  final int reconAssistsMostInGame;
  final int assists;
  final double reconAssistsAvgPer10Min;

  HanzoAssists({
    required this.reconAssists,
    required this.reconAssistsMostInGame,
    required this.assists,
    required this.reconAssistsAvgPer10Min,
  });

  factory HanzoAssists.fromJson(Map<String, dynamic> json) => HanzoAssists(
        reconAssists: json["recon_assists"],
        reconAssistsMostInGame: json["recon_assists_most_in_game"],
        assists: json["assists"],
        reconAssistsAvgPer10Min:
            json["recon_assists_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "recon_assists": reconAssists,
        "recon_assists_most_in_game": reconAssistsMostInGame,
        "assists": assists,
        "recon_assists_avg_per_10_min": reconAssistsAvgPer10Min,
      };
}

class HanzoHeroSpecific {
  final int dragonstrikeKills;
  final int dragonstrikeKillsMostInGame;
  final int stormArrowKills;
  final int stormArrowKillsMostInGame;
  final int longRangeFinalBlows;
  final int longRangeFinalBlowsMostInGame;
  final double longRangeFinalBlowsAvgPer10Min;
  final double dragonstrikeKillsAvgPer10Min;
  final double stormArrowKillsAvgPer10Min;

  HanzoHeroSpecific({
    required this.dragonstrikeKills,
    required this.dragonstrikeKillsMostInGame,
    required this.stormArrowKills,
    required this.stormArrowKillsMostInGame,
    required this.longRangeFinalBlows,
    required this.longRangeFinalBlowsMostInGame,
    required this.longRangeFinalBlowsAvgPer10Min,
    required this.dragonstrikeKillsAvgPer10Min,
    required this.stormArrowKillsAvgPer10Min,
  });

  factory HanzoHeroSpecific.fromJson(Map<String, dynamic> json) =>
      HanzoHeroSpecific(
        dragonstrikeKills: json["dragonstrike_kills"],
        dragonstrikeKillsMostInGame: json["dragonstrike_kills_most_in_game"],
        stormArrowKills: json["storm_arrow_kills"],
        stormArrowKillsMostInGame: json["storm_arrow_kills_most_in_game"],
        longRangeFinalBlows: json["long_range_final_blows"],
        longRangeFinalBlowsMostInGame:
            json["long_range_final_blows_most_in_game"],
        longRangeFinalBlowsAvgPer10Min:
            json["long_range_final_blows_avg_per_10_min"]?.toDouble(),
        dragonstrikeKillsAvgPer10Min:
            json["dragonstrike_kills_avg_per_10_min"]?.toDouble(),
        stormArrowKillsAvgPer10Min:
            json["storm_arrow_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "dragonstrike_kills": dragonstrikeKills,
        "dragonstrike_kills_most_in_game": dragonstrikeKillsMostInGame,
        "storm_arrow_kills": stormArrowKills,
        "storm_arrow_kills_most_in_game": stormArrowKillsMostInGame,
        "long_range_final_blows": longRangeFinalBlows,
        "long_range_final_blows_most_in_game": longRangeFinalBlowsMostInGame,
        "long_range_final_blows_avg_per_10_min": longRangeFinalBlowsAvgPer10Min,
        "dragonstrike_kills_avg_per_10_min": dragonstrikeKillsAvgPer10Min,
        "storm_arrow_kills_avg_per_10_min": stormArrowKillsAvgPer10Min,
      };
}

class Illari {
  final IllariAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;

  Illari({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Illari.fromJson(Map<String, dynamic> json) => Illari(
        assists: IllariAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class IllariAssists {
  final int offensiveAssists;
  final int offensiveAssistsMostInGame;
  final int healingDone;
  final int healingDoneMostInGame;
  final int assists;
  final double offensiveAssistsAvgPer10Min;

  IllariAssists({
    required this.offensiveAssists,
    required this.offensiveAssistsMostInGame,
    required this.healingDone,
    required this.healingDoneMostInGame,
    required this.assists,
    required this.offensiveAssistsAvgPer10Min,
  });

  factory IllariAssists.fromJson(Map<String, dynamic> json) => IllariAssists(
        offensiveAssists: json["offensive_assists"],
        offensiveAssistsMostInGame: json["offensive_assists_most_in_game"],
        healingDone: json["healing_done"],
        healingDoneMostInGame: json["healing_done_most_in_game"],
        assists: json["assists"],
        offensiveAssistsAvgPer10Min:
            json["offensive_assists_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "offensive_assists": offensiveAssists,
        "offensive_assists_most_in_game": offensiveAssistsMostInGame,
        "healing_done": healingDone,
        "healing_done_most_in_game": healingDoneMostInGame,
        "assists": assists,
        "offensive_assists_avg_per_10_min": offensiveAssistsAvgPer10Min,
      };
}

class Junkrat {
  final JunkratAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;

  Junkrat({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Junkrat.fromJson(Map<String, dynamic> json) => Junkrat(
        assists: JunkratAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class JunkratAssists {
  final int offensiveAssists;
  final int? offensiveAssistsMostInGame;
  final int assists;
  final double offensiveAssistsAvgPer10Min;

  JunkratAssists({
    required this.offensiveAssists,
    this.offensiveAssistsMostInGame,
    required this.assists,
    required this.offensiveAssistsAvgPer10Min,
  });

  factory JunkratAssists.fromJson(Map<String, dynamic> json) => JunkratAssists(
        offensiveAssists: json["offensive_assists"],
        offensiveAssistsMostInGame: json["offensive_assists_most_in_game"],
        assists: json["assists"],
        offensiveAssistsAvgPer10Min:
            json["offensive_assists_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "offensive_assists": offensiveAssists,
        "offensive_assists_most_in_game": offensiveAssistsMostInGame,
        "assists": assists,
        "offensive_assists_avg_per_10_min": offensiveAssistsAvgPer10Min,
      };
}

class Kiriko {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final KirikoHeroSpecific heroSpecific;

  Kiriko({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Kiriko.fromJson(Map<String, dynamic> json) => Kiriko(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: KirikoHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class KirikoHeroSpecific {
  final int negativeEffectsCleansedMostInGame;
  final int kitsuneRushAssists;
  final int kitsuneRushAssistsMostInGame;
  final int kunaiKills;
  final int kunaiKillsMostInGame;
  final double kunaiKillsAvgPer10Min;
  final double negativeEffectsCleansedAvgPer10Min;
  final double kitsuneRushAssistsAvgPer10Min;

  KirikoHeroSpecific({
    required this.negativeEffectsCleansedMostInGame,
    required this.kitsuneRushAssists,
    required this.kitsuneRushAssistsMostInGame,
    required this.kunaiKills,
    required this.kunaiKillsMostInGame,
    required this.kunaiKillsAvgPer10Min,
    required this.negativeEffectsCleansedAvgPer10Min,
    required this.kitsuneRushAssistsAvgPer10Min,
  });

  factory KirikoHeroSpecific.fromJson(Map<String, dynamic> json) =>
      KirikoHeroSpecific(
        negativeEffectsCleansedMostInGame:
            json["negative_effects_cleansed_most_in_game"],
        kitsuneRushAssists: json["kitsune_rush_assists"],
        kitsuneRushAssistsMostInGame: json["kitsune_rush_assists_most_in_game"],
        kunaiKills: json["kunai_kills"],
        kunaiKillsMostInGame: json["kunai_kills_most_in_game"],
        kunaiKillsAvgPer10Min: json["kunai_kills_avg_per_10_min"]?.toDouble(),
        negativeEffectsCleansedAvgPer10Min:
            json["negative_effects_cleansed_avg_per_10_min"]?.toDouble(),
        kitsuneRushAssistsAvgPer10Min:
            json["kitsune_rush_assists_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "negative_effects_cleansed_most_in_game":
            negativeEffectsCleansedMostInGame,
        "kitsune_rush_assists": kitsuneRushAssists,
        "kitsune_rush_assists_most_in_game": kitsuneRushAssistsMostInGame,
        "kunai_kills": kunaiKills,
        "kunai_kills_most_in_game": kunaiKillsMostInGame,
        "kunai_kills_avg_per_10_min": kunaiKillsAvgPer10Min,
        "negative_effects_cleansed_avg_per_10_min":
            negativeEffectsCleansedAvgPer10Min,
        "kitsune_rush_assists_avg_per_10_min": kitsuneRushAssistsAvgPer10Min,
      };
}

class Lifeweaver {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final LifeweaverHeroSpecific heroSpecific;

  Lifeweaver({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Lifeweaver.fromJson(Map<String, dynamic> json) => Lifeweaver(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: LifeweaverHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class LifeweaverHeroSpecific {
  final int selfHealing;
  final int selfHealingMostInGame;
  final int lifeGripDeathsPrevented;
  final int lifeGripDeathsPreventedMostInGame;
  final int thornVolleyKills;
  final int thornVolleyKillsMostInGame;
  final int selfHealingAvgPer10Min;
  final double lifeGripDeathsPreventedAvgPer10Min;
  final double thornVolleyKillsAvgPer10Min;

  LifeweaverHeroSpecific({
    required this.selfHealing,
    required this.selfHealingMostInGame,
    required this.lifeGripDeathsPrevented,
    required this.lifeGripDeathsPreventedMostInGame,
    required this.thornVolleyKills,
    required this.thornVolleyKillsMostInGame,
    required this.selfHealingAvgPer10Min,
    required this.lifeGripDeathsPreventedAvgPer10Min,
    required this.thornVolleyKillsAvgPer10Min,
  });

  factory LifeweaverHeroSpecific.fromJson(Map<String, dynamic> json) =>
      LifeweaverHeroSpecific(
        selfHealing: json["self_healing"],
        selfHealingMostInGame: json["self_healing_most_in_game"],
        lifeGripDeathsPrevented: json["life_grip_deaths_prevented"],
        lifeGripDeathsPreventedMostInGame:
            json["life_grip_deaths_prevented_most_in_game"],
        thornVolleyKills: json["thorn_volley_kills"],
        thornVolleyKillsMostInGame: json["thorn_volley_kills_most_in_game"],
        selfHealingAvgPer10Min: json["self_healing_avg_per_10_min"],
        lifeGripDeathsPreventedAvgPer10Min:
            json["life_grip_deaths_prevented_avg_per_10_min"]?.toDouble(),
        thornVolleyKillsAvgPer10Min:
            json["thorn_volley_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "self_healing": selfHealing,
        "self_healing_most_in_game": selfHealingMostInGame,
        "life_grip_deaths_prevented": lifeGripDeathsPrevented,
        "life_grip_deaths_prevented_most_in_game":
            lifeGripDeathsPreventedMostInGame,
        "thorn_volley_kills": thornVolleyKills,
        "thorn_volley_kills_most_in_game": thornVolleyKillsMostInGame,
        "self_healing_avg_per_10_min": selfHealingAvgPer10Min,
        "life_grip_deaths_prevented_avg_per_10_min":
            lifeGripDeathsPreventedAvgPer10Min,
        "thorn_volley_kills_avg_per_10_min": thornVolleyKillsAvgPer10Min,
      };
}

class Lucio {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final LucioHeroSpecific heroSpecific;

  Lucio({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Lucio.fromJson(Map<String, dynamic> json) => Lucio(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: LucioHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class LucioHeroSpecific {
  final int soundBarriersProvided;
  final int soundBarriersProvidedMostInGame;
  final int selfHealing;
  final int selfHealingMostInGame;
  final int playersKnockedBackMostInGame;
  final int selfHealingAvgPer10Min;
  final double playersKnockedBackAvgPer10Min;
  final double soundBarriersProvidedAvgPer10Min;

  LucioHeroSpecific({
    required this.soundBarriersProvided,
    required this.soundBarriersProvidedMostInGame,
    required this.selfHealing,
    required this.selfHealingMostInGame,
    required this.playersKnockedBackMostInGame,
    required this.selfHealingAvgPer10Min,
    required this.playersKnockedBackAvgPer10Min,
    required this.soundBarriersProvidedAvgPer10Min,
  });

  factory LucioHeroSpecific.fromJson(Map<String, dynamic> json) =>
      LucioHeroSpecific(
        soundBarriersProvided: json["sound_barriers_provided"],
        soundBarriersProvidedMostInGame:
            json["sound_barriers_provided_most_in_game"],
        selfHealing: json["self_healing"],
        selfHealingMostInGame: json["self_healing_most_in_game"],
        playersKnockedBackMostInGame: json["players_knocked_back_most_in_game"],
        selfHealingAvgPer10Min: json["self_healing_avg_per_10_min"],
        playersKnockedBackAvgPer10Min:
            json["players_knocked_back_avg_per_10_min"]?.toDouble(),
        soundBarriersProvidedAvgPer10Min:
            json["sound_barriers_provided_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "sound_barriers_provided": soundBarriersProvided,
        "sound_barriers_provided_most_in_game": soundBarriersProvidedMostInGame,
        "self_healing": selfHealing,
        "self_healing_most_in_game": selfHealingMostInGame,
        "players_knocked_back_most_in_game": playersKnockedBackMostInGame,
        "self_healing_avg_per_10_min": selfHealingAvgPer10Min,
        "players_knocked_back_avg_per_10_min": playersKnockedBackAvgPer10Min,
        "sound_barriers_provided_avg_per_10_min":
            soundBarriersProvidedAvgPer10Min,
      };
}

class Mauga {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final DvaGame game;
  final Map<String, double> heroSpecific;

  Mauga({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Mauga.fromJson(Map<String, dynamic> json) => Mauga(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: DvaGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class Mercy {
  final Assists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;

  Mercy({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Mercy.fromJson(Map<String, dynamic> json) => Mercy(
        assists: Assists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class Orisa {
  final JunkratAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final OrisaHeroSpecific heroSpecific;

  Orisa({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Orisa.fromJson(Map<String, dynamic> json) => Orisa(
        assists: JunkratAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: OrisaHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class OrisaHeroSpecific {
  final int terraSurgeKills;
  final int terraSurgeKillsMostInGame;
  final int energyJavelinKills;
  final int javelinSpinKills;
  final int energyJavelinKillsNyi;
  final int javelinSpinKillsNyi;
  final double terraSurgeKillsAvgPer10Min;
  final int javelinSpinKillsAvgPer10Min;
  final double energyJavelinKillsAvgPer10Min;

  OrisaHeroSpecific({
    required this.terraSurgeKills,
    required this.terraSurgeKillsMostInGame,
    required this.energyJavelinKills,
    required this.javelinSpinKills,
    required this.energyJavelinKillsNyi,
    required this.javelinSpinKillsNyi,
    required this.terraSurgeKillsAvgPer10Min,
    required this.javelinSpinKillsAvgPer10Min,
    required this.energyJavelinKillsAvgPer10Min,
  });

  factory OrisaHeroSpecific.fromJson(Map<String, dynamic> json) =>
      OrisaHeroSpecific(
        terraSurgeKills: json["terra_surge_kills"],
        terraSurgeKillsMostInGame: json["terra_surge_kills_most_in_game"],
        energyJavelinKills: json["energy_javelin_kills"],
        javelinSpinKills: json["javelin_spin_kills"],
        energyJavelinKillsNyi: json["energy_javelin_kills_nyi"],
        javelinSpinKillsNyi: json["javelin_spin_kills_nyi"],
        terraSurgeKillsAvgPer10Min:
            json["terra_surge_kills_avg_per_10_min"]?.toDouble(),
        javelinSpinKillsAvgPer10Min: json["javelin_spin_kills_avg_per_10_min"],
        energyJavelinKillsAvgPer10Min:
            json["energy_javelin_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "terra_surge_kills": terraSurgeKills,
        "terra_surge_kills_most_in_game": terraSurgeKillsMostInGame,
        "energy_javelin_kills": energyJavelinKills,
        "javelin_spin_kills": javelinSpinKills,
        "energy_javelin_kills_nyi": energyJavelinKillsNyi,
        "javelin_spin_kills_nyi": javelinSpinKillsNyi,
        "terra_surge_kills_avg_per_10_min": terraSurgeKillsAvgPer10Min,
        "javelin_spin_kills_avg_per_10_min": javelinSpinKillsAvgPer10Min,
        "energy_javelin_kills_avg_per_10_min": energyJavelinKillsAvgPer10Min,
      };
}

class Pharah {
  final AsheAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final PharahHeroSpecific heroSpecific;

  Pharah({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Pharah.fromJson(Map<String, dynamic> json) => Pharah(
        assists: AsheAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: PharahHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class PharahHeroSpecific {
  final int rocketDirectHits;
  final int rocketDirectHitsMostInGame;
  final double rocketDirectHitsAvgPer10Min;
  final int airtimePercentage;
  final int directHitAccuracy;

  PharahHeroSpecific({
    required this.rocketDirectHits,
    required this.rocketDirectHitsMostInGame,
    required this.rocketDirectHitsAvgPer10Min,
    required this.airtimePercentage,
    required this.directHitAccuracy,
  });

  factory PharahHeroSpecific.fromJson(Map<String, dynamic> json) =>
      PharahHeroSpecific(
        rocketDirectHits: json["rocket_direct_hits"],
        rocketDirectHitsMostInGame: json["rocket_direct_hits_most_in_game"],
        rocketDirectHitsAvgPer10Min:
            json["rocket_direct_hits_avg_per_10_min"]?.toDouble(),
        airtimePercentage: json["airtime_percentage"],
        directHitAccuracy: json["direct_hit_accuracy"],
      );

  Map<String, dynamic> toJson() => {
        "rocket_direct_hits": rocketDirectHits,
        "rocket_direct_hits_most_in_game": rocketDirectHitsMostInGame,
        "rocket_direct_hits_avg_per_10_min": rocketDirectHitsAvgPer10Min,
        "airtime_percentage": airtimePercentage,
        "direct_hit_accuracy": directHitAccuracy,
      };
}

class Reaper {
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final ReaperHeroSpecific heroSpecific;

  Reaper({
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Reaper.fromJson(Map<String, dynamic> json) => Reaper(
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: ReaperHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class ReaperHeroSpecific {
  final int deathBlossomKills;
  final int deathBlossomKillsMostInGame;
  final int selfHealing;
  final int selfHealingMostInGame;
  final int selfHealingAvgPer10Min;
  final double deathBlossomKillsAvgPer10Min;

  ReaperHeroSpecific({
    required this.deathBlossomKills,
    required this.deathBlossomKillsMostInGame,
    required this.selfHealing,
    required this.selfHealingMostInGame,
    required this.selfHealingAvgPer10Min,
    required this.deathBlossomKillsAvgPer10Min,
  });

  factory ReaperHeroSpecific.fromJson(Map<String, dynamic> json) =>
      ReaperHeroSpecific(
        deathBlossomKills: json["death_blossom_kills"],
        deathBlossomKillsMostInGame: json["death_blossom_kills_most_in_game"],
        selfHealing: json["self_healing"],
        selfHealingMostInGame: json["self_healing_most_in_game"],
        selfHealingAvgPer10Min: json["self_healing_avg_per_10_min"],
        deathBlossomKillsAvgPer10Min:
            json["death_blossom_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "death_blossom_kills": deathBlossomKills,
        "death_blossom_kills_most_in_game": deathBlossomKillsMostInGame,
        "self_healing": selfHealing,
        "self_healing_most_in_game": selfHealingMostInGame,
        "self_healing_avg_per_10_min": selfHealingAvgPer10Min,
        "death_blossom_kills_avg_per_10_min": deathBlossomKillsAvgPer10Min,
      };
}

class Reinhardt {
  final JunkratAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;
  final MatchAwards? matchAwards;

  Reinhardt({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
    this.matchAwards,
  });

  factory Reinhardt.fromJson(Map<String, dynamic> json) => Reinhardt(
        assists: JunkratAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        matchAwards: json['match_awards'] == null ? null : MatchAwards.fromJson(json["match_awards"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
        "match_awards": matchAwards?.toJson(),
      };
}

class Sigma {
  final JunkratAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final SigmaHeroSpecific heroSpecific;

  Sigma({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Sigma.fromJson(Map<String, dynamic> json) => Sigma(
        assists: JunkratAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: SigmaHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class SigmaHeroSpecific {
  final int accretionKillsMostInGame;
  final int accretionKills;
  final int graviticFluxKills;
  final int graviticFluxKillsMostInGame;
  final int overhealthCreated;
  final int overhealthCreatedMostInGame;
  final double accretionKillsAvgPer10Min;
  final int overhealthCreatedAvgPer10Min;
  final double graviticFluxKillsAvgPer10Min;

  SigmaHeroSpecific({
    required this.accretionKillsMostInGame,
    required this.accretionKills,
    required this.graviticFluxKills,
    required this.graviticFluxKillsMostInGame,
    required this.overhealthCreated,
    required this.overhealthCreatedMostInGame,
    required this.accretionKillsAvgPer10Min,
    required this.overhealthCreatedAvgPer10Min,
    required this.graviticFluxKillsAvgPer10Min,
  });

  factory SigmaHeroSpecific.fromJson(Map<String, dynamic> json) =>
      SigmaHeroSpecific(
        accretionKillsMostInGame: json["accretion_kills_most_in_game"],
        accretionKills: json["accretion_kills"],
        graviticFluxKills: json["gravitic_flux_kills"],
        graviticFluxKillsMostInGame: json["gravitic_flux_kills_most_in_game"],
        overhealthCreated: json["overhealth_created"],
        overhealthCreatedMostInGame: json["overhealth_created_most_in_game"],
        accretionKillsAvgPer10Min:
            json["accretion_kills_avg_per_10_min"]?.toDouble(),
        overhealthCreatedAvgPer10Min: json["overhealth_created_avg_per_10_min"],
        graviticFluxKillsAvgPer10Min:
            json["gravitic_flux_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "accretion_kills_most_in_game": accretionKillsMostInGame,
        "accretion_kills": accretionKills,
        "gravitic_flux_kills": graviticFluxKills,
        "gravitic_flux_kills_most_in_game": graviticFluxKillsMostInGame,
        "overhealth_created": overhealthCreated,
        "overhealth_created_most_in_game": overhealthCreatedMostInGame,
        "accretion_kills_avg_per_10_min": accretionKillsAvgPer10Min,
        "overhealth_created_avg_per_10_min": overhealthCreatedAvgPer10Min,
        "gravitic_flux_kills_avg_per_10_min": graviticFluxKillsAvgPer10Min,
      };
}

class Tracer {
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;

  Tracer({
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Tracer.fromJson(Map<String, dynamic> json) => Tracer(
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class Widowmaker {
  final HanzoAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final Map<String, double> heroSpecific;

  Widowmaker({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory Widowmaker.fromJson(Map<String, dynamic> json) => Widowmaker(
        assists: HanzoAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: Map.from(json["hero_specific"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": Map.from(heroSpecific)
            .map((k, v) => MapEntry<String, dynamic>(k, v)),
      };
}

class WreckingBall {
  final AsheAssists assists;
  final Map<String, double> average;
  final Map<String, int> best;
  final Map<String, double> combat;
  final AllHeroesGame game;
  final WreckingBallHeroSpecific heroSpecific;

  WreckingBall({
    required this.assists,
    required this.average,
    required this.best,
    required this.combat,
    required this.game,
    required this.heroSpecific,
  });

  factory WreckingBall.fromJson(Map<String, dynamic> json) => WreckingBall(
        assists: AsheAssists.fromJson(json["assists"]),
        average: Map.from(json["average"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        best: Map.from(json["best"]).map((k, v) => MapEntry<String, int>(k, v)),
        combat: Map.from(json["combat"])
            .map((k, v) => MapEntry<String, double>(k, v?.toDouble())),
        game: AllHeroesGame.fromJson(json["game"]),
        heroSpecific: WreckingBallHeroSpecific.fromJson(json["hero_specific"]),
      );

  Map<String, dynamic> toJson() => {
        "assists": assists.toJson(),
        "average":
            Map.from(average).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "best": Map.from(best).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "combat":
            Map.from(combat).map((k, v) => MapEntry<String, dynamic>(k, v)),
        "game": game.toJson(),
        "hero_specific": heroSpecific.toJson(),
      };
}

class WreckingBallHeroSpecific {
  final int piledriverKills;
  final int grapplingClawKills;
  final int minefieldKills;
  final int grapplingClawKillsMostInGame;
  final int minefieldKillsMostInGame;
  final int piledriverKillsMostInGame;
  final double piledriverKillsAvgPer10Min;
  final double grapplingClawKillsAvgPer10Min;
  final double minefieldKillsAvgPer10Min;

  WreckingBallHeroSpecific({
    required this.piledriverKills,
    required this.grapplingClawKills,
    required this.minefieldKills,
    required this.grapplingClawKillsMostInGame,
    required this.minefieldKillsMostInGame,
    required this.piledriverKillsMostInGame,
    required this.piledriverKillsAvgPer10Min,
    required this.grapplingClawKillsAvgPer10Min,
    required this.minefieldKillsAvgPer10Min,
  });

  factory WreckingBallHeroSpecific.fromJson(Map<String, dynamic> json) =>
      WreckingBallHeroSpecific(
        piledriverKills: json["piledriver_kills"],
        grapplingClawKills: json["grappling_claw_kills"],
        minefieldKills: json["minefield_kills"],
        grapplingClawKillsMostInGame: json["grappling_claw_kills_most_in_game"],
        minefieldKillsMostInGame: json["minefield_kills_most_in_game"],
        piledriverKillsMostInGame: json["piledriver_kills_most_in_game"],
        piledriverKillsAvgPer10Min:
            json["piledriver_kills_avg_per_10_min"]?.toDouble(),
        grapplingClawKillsAvgPer10Min:
            json["grappling_claw_kills_avg_per_10_min"]?.toDouble(),
        minefieldKillsAvgPer10Min:
            json["minefield_kills_avg_per_10_min"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "piledriver_kills": piledriverKills,
        "grappling_claw_kills": grapplingClawKills,
        "minefield_kills": minefieldKills,
        "grappling_claw_kills_most_in_game": grapplingClawKillsMostInGame,
        "minefield_kills_most_in_game": minefieldKillsMostInGame,
        "piledriver_kills_most_in_game": piledriverKillsMostInGame,
        "piledriver_kills_avg_per_10_min": piledriverKillsAvgPer10Min,
        "grappling_claw_kills_avg_per_10_min": grapplingClawKillsAvgPer10Min,
        "minefield_kills_avg_per_10_min": minefieldKillsAvgPer10Min,
      };
}
